package com.platform.yijia.utils;

public class CodeMsg {
    private int retCode;
    private String message;
    // 按照模块定义CodeMsg
    // 通用异常
    public static CodeMsg SUCCESS = new CodeMsg(0,"success");
    public static CodeMsg SERVER_EXCEPTION = new CodeMsg(500100,"服务端异常");
    public static CodeMsg USER_NOT_EXSIST = new CodeMsg(-1,"用户不存在");
    public static CodeMsg USER_EXSIST_CARD = new CodeMsg(-1,"该用户暂无此卡");
    public static CodeMsg USER_NOT_STATUS = new CodeMsg(-3,"该用户已停用");

    public static CodeMsg USER_EXSIST = new CodeMsg(-1,"用户已存在");
    public static CodeMsg NO_ORDER = new CodeMsg(-2,"暂无此订单");
    public static CodeMsg SELECT_ORDER_ERROR = new CodeMsg(-1,"此订单已完成支付，请重新下单");
    public static CodeMsg BALANCE_NOT_EENOUGH = new CodeMsg(-2,"电子卡余额不足");
    public static CodeMsg PASSWORD_ERROR = new CodeMsg(-2,"密码错误");
    public static CodeMsg ACCOUNT_DISABLE = new CodeMsg(-3,"该账号已被停用");
    public static CodeMsg NO_FollowGzh = new CodeMsg(-4,"未关注公众号");
    public static CodeMsg USERGZHINFO_EXSIST = new CodeMsg(-5,"系统暂无此用户公众号信息");
    public static CodeMsg CHECK_DATA_ERROR = new CodeMsg(-6,"数据不一致");
    public static CodeMsg SEARCH_FAIL = new CodeMsg(-1,"查询失败");
    public static CodeMsg INSERT_FAIL = new CodeMsg(001,"添加失败");
    public static CodeMsg SEARCH_APPID_FAIL = new CodeMsg(-1,"油站公众号配置不完善");
    public static CodeMsg DELETE_FAIL = new CodeMsg(003,"删除失败");
    public static CodeMsg UPDATE_FAIL = new CodeMsg(004,"修改失败");
    public static CodeMsg REQUEST_FAIL = new CodeMsg(-2,"必传参数不能为空");
    public static CodeMsg YEWU_FAIL = new CodeMsg(006,"业务失败");
    public static CodeMsg BAIDUMAP_FAIL = new CodeMsg(-2,"地理位置查询失败");
    public static CodeMsg NO_CARDENABLEFLAG = new CodeMsg(-2,"未启用电会员卡");
    public static CodeMsg ALREADY_PAY = new CodeMsg(-2,"该订单已支付");
    public static CodeMsg STATION_NULL_INFO = new CodeMsg(-2,"无此油站或该油站信息配置不完善");
    public static CodeMsg CHECK_DATA = new CodeMsg(007,"与后台检验不一致，请联系……");
    public static CodeMsg PARAMS_NUll = new CodeMsg(-2,"请求失败，必传参数不能为空！");
    public static CodeMsg WARSECOUNT_FAIL = new CodeMsg(-1,"库存不足");
    public static CodeMsg INTEGRAL_INSUFFICIENT = new CodeMsg(-2,"您的积分不足");

    public static CodeMsg NO_PERSONNAL = new CodeMsg(-4,"该油站或油枪未添加或绑定加油员");
    public static CodeMsg MORE_PERSONNAL = new CodeMsg(-6,"该油站或油枪未有绑定多个加油员");
    public static CodeMsg NO_ENABLE_COUPON = new CodeMsg(-5,"该油站暂未开启优惠券功能");

    //POS班结
    public static CodeMsg NO_CLASS_NO_INFO = new CodeMsg(-1,"无此班结号班结记录");

    //优惠券业务返回code
    public static CodeMsg COUPON_LOSE_EFFECTIVE = new CodeMsg(-2,"优惠券已无效");
    public static CodeMsg NO_COUPON = new CodeMsg(-3,"此优惠券不存在");
    public static CodeMsg COUPON_GIVE_COUNT_MAX = new CodeMsg(-6,"该用户进入该领取优惠券方式页面已达到最大次数值");
    public static CodeMsg ISSUE_CLOSE = new CodeMsg(-7,"该领取方式已关闭");
    public static CodeMsg NO_COUPON_ISSUE = new CodeMsg(-4,"该领取方式不存在");
    public static CodeMsg NOT_GIVE_COUPON_TIME = new CodeMsg(-8,"当前时间该领取方式暂未开启");
    public static CodeMsg COUPON_NOT_COUPONTHRESHOLDAMT = new CodeMsg(-10,"当前金额未达到优惠券使用门槛");
    public static CodeMsg COUPON_NOT_CONTATINS_OILNAME = new CodeMsg(-9,"当前优惠券不适用此油品");

    //优惠券核销
    public static CodeMsg ERROR_VERIFICATION = new CodeMsg(-1,"当前异业券不能在此异业端核销！");
    public static CodeMsg COUPON_VERIFICATION_USED = new CodeMsg(-3,"当前异业券已核销！");
    public static CodeMsg NOT_COUPON_VERIFICATION = new CodeMsg(-5,"当前优惠券不是异业兑换券！");
    public static CodeMsg NOT_COUPON_VERIFICATION_USER = new CodeMsg(-4,"当前人员不是核销人员！");
    public static CodeMsg ERROR_COUPON_DATE = new CodeMsg(-2,"当前异业券不在使用日期内");

    // 支付宝
    public static CodeMsg NOT_ALIPAY = new CodeMsg(-1,"该油站未开启支付宝支付");


    private CodeMsg(int retCode, String message) {
        this.retCode = retCode;
        this.message = message;
    }
    public int getRetCode() {
        return retCode;
    }
    public String getMessage() {
        return message;
    }
    public void setMessage(String message) {
        this.message = message;
    }
}
